你好,游客 登录 注册 搜索
背景:
阅读新闻

Linux Kernel 本地拒绝服务漏洞(CVE-2017-6951)

[日期:2017-03-20] 来源:Linux社区  作者:Linux [字体: ]
Linux Kernel 本地拒绝服务漏洞(CVE-2017-6951)


发布日期:2017-02-15
更新日期:2017-03-20

受影响系统:

Linux kernel <= 3.14.79

描述:


BUGTRAQ  ID: 96943
CVE(CAN) ID: CVE-2017-6951

Linux Kernel是Linux操作系统的内核。

Linux kernel 3.14.79及之前版本,security/keys/keyring.c中keyring_search_aux函数存在安全漏洞,可使本地攻击者通过request_key系统调用"dead"类型,造成拒绝服务(空指针间接引用)。

<*来源:vendor
  *>

建议:


厂商补丁:

Linux
-----
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

http://www.spinics.net/lists/keyrings/msg01845.html
http://www.spinics.net/lists/keyrings/msg01846.html
http://www.spinics.net/lists/keyrings/msg01849.html

本文永久更新链接地址http://www.linuxidc.com/Linux/2017-03/141970.htm

linux
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款